package com.bcxin.tenant.open.domains.services.commands;

import com.bcxin.tenant.open.infrastructures.commands.CommandAbstract;
import com.bcxin.tenant.open.infrastructures.enums.DispatchAccountType;
import lombok.Getter;

@Getter
public class CreateReadOperationInstructionCommand  extends CommandAbstract {
    private final String deviceNo;
    private final String creatorId;
    private final String creatorName;
    private final DispatchAccountType accountType;

    public CreateReadOperationInstructionCommand(String deviceNo,
                                                 String creatorId, String creatorName,
                                                 DispatchAccountType accountType) {
        this.deviceNo = deviceNo;
        this.creatorId = creatorId;
        this.creatorName = creatorName;
        this.accountType = accountType;
    }

    public static CreateReadOperationInstructionCommand create(String deviceNo,
                                                               String creatorId, String creatorName,
                                                               DispatchAccountType accountType) {
        return new CreateReadOperationInstructionCommand(deviceNo, creatorId, creatorName, accountType);
    }
}
